# -*- coding: utf-8 -*-
# @Author : Felix Wang
# @time   : 2018/7/5 13:51

from flask import Flask

app = Flask(__name__, template_folder='templates', static_folder='static', static_url_path='/static')

from .views.account import account
from .views.blog import blog
from .views.user import user

# 注册蓝图
app.register_blueprint(account)
app.register_blueprint(blog)
app.register_blueprint(user)


# 在app这添加扩展，对所有注册的蓝图都生效
@app.before_request
def process_request(*args, **kwargs):
    print('来了')
